<template>
  <div v-if="!themeTitle.IsHidden" class="flex flex-col w-full pt-10">
    <div class="flex justify-between items-center mb-[22px]">
      <span class="text-2xl font-bold --text2">{{
        `${
          themeTitle.Text !== "Sport Betting"
            ? themeTitle.Text
            : $t("sports_betting")
        }`
      }}</span>
      <nuxt-link :to="seeAllLink && !seeAllLink.IsHidden ? seeAllLink.HyperLink : '/sports'" class="text-base fc-primary"
        >{{ $t("see_all")
        }}<font-awesome-icon class="ml-3" icon="arrow-right-long"
      /></nuxt-link>
    </div>
    <div :class="`grid w-full grid-cols-${themeImages.length}`">
      <div
        v-for="(item, index) in themeImages"
        :key="index"
        :class="['col-span-1', { 'ml-2.5': index !== 0 }]"
      >
        <div class="relative rounded-lg h-52 bg-background1">
          <nuxt-link
            class=""
            :to="
              !authenticated && item.HyperLink === ''
                ? '/login'
                : item.HyperLink
            "
          >
            <sport-horizontal-game-entry-skeleton
              class="w-full h-full"
              variant="LABEL_AND_PERSON"
              :label="themeContent[index]?.Text"
              :is-hidden="themeContent[index]?.IsHidden"
              :person-image="item.ImagePath"
              :is-use-text="isUseText"
              :use-slashes="isAnimateThemeColor"
            />
          </nuxt-link>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import { store } from "@/store";
import {
  IThemePropertiesFromApi,
  ThemePropertiesFromApiDto,
} from "@/models/companyThemePropertiesRespone";
import themePropertiesHelper from "@/utils/themePropertyHelper";

export default defineComponent({
  name: "LobbyGamePromotion",
  props: {
    isUseText: {
     type: Boolean,
     default: true,
    },
    isAnimateThemeColor: {
      type: Boolean,
      default: false,
    },
  },
  setup() {
    const authenticated = computed(() => store.state.auth);
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const themeTitle = computed(
      (): IThemePropertiesFromApi =>
        themePropertiesHelper.getSingleThemeProperty(
          themeProperties.value,
          "index_blog_2"
        )
    );
    const seeAllLink = computed(
      (): IThemePropertiesFromApi =>
        themePropertiesHelper.getSingleThemeProperty(
          themeProperties.value,
          "index_blog_2_see_all"
        )
    );
    const themeContent = computed((): Array<ThemePropertiesFromApiDto> => {
      const tem = themePropertiesHelper.getMultipleThemesProperties(
        themeProperties.value,
        "index_blog_content_2_"
      );
      return tem.map((item) => new ThemePropertiesFromApiDto(item));
    });
    const themeImages = computed((): Array<ThemePropertiesFromApiDto> => {
      let tem = themePropertiesHelper.getMultipleThemesProperties(
        themeProperties.value,
        "index_blog_2_"
      );
      tem = tem.filter((item) => !item.HtmlId.includes('see_all'));
      return tem.map((item) => new ThemePropertiesFromApiDto(item));
    });
    return {
      themeTitle,
      themeImages,
      themeContent,
      authenticated,
      seeAllLink,
    };
  },
});
</script>
